# $Revision: 1.17 $, $Date: 2010/03/02 12:12:50 $
%define pkgname rbogl
Summary:	OpenGL module for Ruby
Summary(pl.UTF-8):	Moduł OpenGL dla Ruby
Name:		ruby-%{pkgname}
Version:	0.32g
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://www2.giganet.net/~yoshi/%{pkgname}-%{version}.tar.gz
# Source0-md5:	0832d08a87ebb16f6d4e30459a5019f0
Patch0:		%{name}-ruby1.9.patch
URL:		http://www2.giganet.net/~yoshi/
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel >= 1:1.8.6
BuildRequires:	ruby-modules
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXmu-devel
Requires:	OpenGL
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
OpenGL module for Ruby.

%description -l pl.UTF-8
Moduł OpenGL dla Ruby.

%prep
%setup -q -n opengl-%{version}
%patch0 -p1

%build
ruby extconf.rb

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_sitearchdir},%{_examplesdir}/%{name}-%{version}}

install opengl.so $RPM_BUILD_ROOT%{ruby_sitearchdir}
install glut.so $RPM_BUILD_ROOT%{ruby_sitearchdir}
install sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.EUC ChangeLog
%attr(755,root,root) %{ruby_sitearchdir}/*.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-rbogl.spec,v $
Revision 1.17  2010/03/02 12:12:50  baggins
- updated to 0.32g
- updated BR
- removed outdated/obsolete patches

Revision 1.16  2010/02/24 20:39:30  sparky
- BR: OpenGL-glut-devel, xorg-lib-libXmu-devel

Revision 1.15  2008/01/07 15:31:42  glen
- rel 6

Revision 1.14  2007-02-12 22:09:14  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.12  2006/01/01 12:31:17  twittner
- fixed ruby-rbogl-extconf.patch (/usr/X11R6/lib":String (NoMethodError) error)
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel. 5, STBR

Revision 1.11  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.10  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.9  2005/12/27 09:43:31  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.8  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.7  2005/03/27 10:06:01  havner
- rel 3

Revision 1.6  2005/03/27 10:03:23  havner
- extconf patch modified, i know nothing about ruby, this way it builds
  if someone wants to do it the right way be my guest.

Revision 1.5  2004/12/30 02:13:34  aredridel
- rel 2
- STBR

Revision 1.4  2004/12/30 02:08:46  aredridel
- fixed BR

Revision 1.3  2004/08/15 14:58:38  aredridel
- br: glut-devel

Revision 1.2  2003/10/13 22:18:45  qboosh
- cleanups/unifications

Revision 1.1  2003/09/07 15:24:55  aredridel
- added
